using System;
using System.Data;
using System.Data.SqlClient;
using System.Data.SqlTypes;
using System.Xml;
using System.Reflection;
using System.Configuration;
using ESpace.DALibrary.SqlServer;
using ESpace.DALibrary;

namespace AVC.DataAccess
{
	public class Right_GroupSelectByPk : DataAccessBase
	{
		public Right_GroupSelectByPk()
		{
			base.EncryptMethod = Alogrim.SymmProvEnum.DES;
			base.Key = "1234";
			base.IV = "1234";
			ConnectionString = ConfigurationManager.AppSettings["Passport"];
			base.InitCommand("[dbo].[Right_GroupSelectByPk]");
			ConfigParameter();
		}

		private SqlParameter paramGroupID;
		public System.Int32 GroupID
		{
			get
			{
				return (System.Int32)paramGroupID.Value;
			}
			set
			{
				paramGroupID.Value = value;
			}
		}

		private SqlParameter paramRightID;
		public System.Int32 RightID
		{
			get
			{
				return (System.Int32)paramRightID.Value;
			}
			set
			{
				paramRightID.Value = value;
			}
		}

		public void ConfigParameter()
		{
			//--------------------------------------------------------
			paramGroupID = new SqlParameter();
			paramGroupID.ParameterName = "@GroupID";
			paramGroupID.SqlDbType = SqlDbType.Int;
			paramGroupID.Precision = 10;
			paramGroupID.Scale = 0;
			paramGroupID.Direction = ParameterDirection.Input;
			paramGroupID.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramGroupID);
			//--------------------------------------------------------
			paramRightID = new SqlParameter();
			paramRightID.ParameterName = "@RightID";
			paramRightID.SqlDbType = SqlDbType.Int;
			paramRightID.Precision = 10;
			paramRightID.Scale = 0;
			paramRightID.Direction = ParameterDirection.Input;
			paramRightID.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramRightID);
		}
	}
}